The Spring Framework

## org.springframework.web.multipart.support
Class AbstractMultipartHttpServletRequest

    java.lang.Object
      javax.servlet.ServletRequestWrapper
          javax.servlet.http.HttpServletRequestWrapper
              org.springframework.web.multipart.support.AbstractMultipartHttpServletRequest

All Implemented Interfaces:
  HttpServletRequest, ServletRequest, MultipartHttpServletRequest, MultipartRequest

Direct Known Subclasses:
  DefaultMultipartHttpServletRequest

    public abstract class AbstractMultipartHttpServletRequest

extends HttpServletRequestWrapper
implements MultipartHttpServletRequest

Abstract base implementation of the MultipartHttpServletRequest interface. Provides management of pre-generated MultipartFile instances.

Since:
  06.10.2003
Author:
  Juergen Hoeller

Field Summary

Fields inherited from interface javax.servlet.http.HttpServletRequest
`BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH`

Constructor Summary
`protected` `AbstractMultipartHttpServletRequest(HttpServletRequest request)` Wrap the given HttpServletRequest in a MultipartHttpServletRequest.

Method Summary
`MultipartFile` `getFile(String name)` Return the contents plus description of an uploaded file in this request, or `null` if it does not exist.
`Map` `getFileMap()` Return a `Map` of the multipart files contained in this request.
`Iterator` `getFileNames()` Return an `Iterator` of String objects containing the parameter names of the multipart files contained in this request.
`protected Map` `getMultipartFiles()` Obtain the MultipartFile Map for retrieval, lazily initializing it if necessary.
`protected void` `initializeMultipart()` Lazily initialize the multipart request, if possible.
`protected void` `setMultipartFiles(Map multipartFiles)` Set a Map with parameter names as keys and MultipartFile objects as values.

Methods inherited from class javax.servlet.http.HttpServletRequestWrapper

`getAuthType, getContextPath, getCookies, getDateHeader, getHeader, getHeaderNames, getHeaders, getIntHeader, getMethod, getPathInfo, getPathTranslated, getQueryString, getRemoteUser, getRequestedSessionId, getRequestURI, getRequestURL, getServletPath, getSession, getSession, getUserPrincipal, isRequestedSessionIdFromCookie, isRequestedSessionIdFromUrl, isRequestedSessionIdFromURL, isRequestedSessionIdValid, isUserInRole`

Methods inherited from class javax.servlet.ServletRequestWrapper

`getAttribute, getAttributeNames, getCharacterEncoding, getContentLength, getContentType, getInputStream, getLocalAddr, getLocale, getLocales, getLocalName, getLocalPort, getParameter, getParameterMap, getParameterNames, getParameterValues, getProtocol, getReader, getRealPath, getRemoteAddr, getRemoteHost, getRemotePort, getRequest, getRequestDispatcher, getScheme, getServerName, getServerPort, isSecure, removeAttribute, setAttribute, setCharacterEncoding, setRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.http.HttpServletRequest

`getAuthType, getContextPath, getCookies, getDateHeader, getHeader, getHeaderNames, getHeaders, getIntHeader, getMethod, getPathInfo, getPathTranslated, getQueryString, getRemoteUser, getRequestedSessionId, getRequestURI, getRequestURL, getServletPath, getSession, getSession, getUserPrincipal, isRequestedSessionIdFromCookie, isRequestedSessionIdFromUrl, isRequestedSessionIdFromURL, isRequestedSessionIdValid, isUserInRole`

Methods inherited from interface javax.servlet.ServletRequest

`getAttribute, getAttributeNames, getCharacterEncoding, getContentLength, getContentType, getInputStream, getLocalAddr, getLocale, getLocales, getLocalName, getLocalPort, getParameter, getParameterMap, getParameterNames, getParameterValues, getProtocol, getReader, getRealPath, getRemoteAddr, getRemoteHost, getRemotePort, getRequestDispatcher, getScheme, getServerName, getServerPort, isSecure, removeAttribute, setAttribute, setCharacterEncoding`

Constructor Detail

### AbstractMultipartHttpServletRequest

    protected AbstractMultipartHttpServletRequest(HttpServletRequest request)

  Wrap the given HttpServletRequest in a MultipartHttpServletRequest.

  Parameters:
    `request` - the request to wrap

Method Detail

### getFileNames

    public Iterator getFileNames()

  Description copied from interface: `MultipartRequest`
  Return an `Iterator` of String objects containing the parameter names of the multipart files contained in this request. These are the field names of the form (like with normal parameters), not the original file names.

  Specified by:
    `getFileNames` in interface `MultipartRequest`
  Returns:
    the names of the files

### getFile

    public MultipartFile getFile(String name)

  Description copied from interface: `MultipartRequest`
  Return the contents plus description of an uploaded file in this request, or `null` if it does not exist.

  Specified by:
    `getFile` in interface `MultipartRequest`
  Parameters:
    `name` - a String specifying the parameter name of the multipart file
  Returns:
    the uploaded content in the form of a `MultipartFile` object

### getFileMap

    public Map getFileMap()

  Description copied from interface: `MultipartRequest`
  Return a `Map` of the multipart files contained in this request.

  Specified by:
    `getFileMap` in interface `MultipartRequest`
  Returns:
    a map containing the parameter names as keys, and the `MultipartFile` objects as values
  See Also:
    `MultipartFile`

### setMultipartFiles

    protected final void setMultipartFiles(Map multipartFiles)

  Set a Map with parameter names as keys and MultipartFile objects as values. To be invoked by subclasses on initialization.

### getMultipartFiles

    protected Map getMultipartFiles()

  Obtain the MultipartFile Map for retrieval, lazily initializing it if necessary.

  See Also:
    `initializeMultipart()`

### initializeMultipart

    protected void initializeMultipart()

  Lazily initialize the multipart request, if possible. Only called if not already eagerly initialized.

The Spring Framework

Copyright © 2002-2008 The Spring Framework.